using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Text.RegularExpressions;

namespace csharp_trials
{

	class Point {
		private double x,y;
		public Point (double x, double y) {
			this.x = x;
			this.y = y;
		}
		public double X { get { return x; } }
		public double Y { get { return y; } }
	}
	
    class Line
    {
        private double length;   // Length of a line
		private Point start, end; // Association: Line has 2 points
		
        public Line()
        {
            Console.WriteLine("Object is being created");
        }
		
		public Line (double x1,double y1,double x2,double y2) {
			Point start = new Point (x1,y1);
			this.start = start;
			
			Point end = new Point (x2,y2);
			this.end = end;
			
			Console.WriteLine("Line start point: x1:{0}, y1:{1} \n end point x2:{2}, y2:{3}", start.X, start.Y, end.X, end.Y);
		}

        public void setLength(double len)
        {
            length = len;
        }

        public double getLength()
        {
            return length;
        }

        static void Main(string[] args)
        {
            
           
            // set line length
            Line line = new Line();
            line.setLength(6.0);
            Console.WriteLine("Length of line : {0}", line.getLength());

            // set line length
             line = new Line(2.3,5.4,7.7,1.1);
            Console.ReadKey();
        }


    }
}



