﻿using System;
using System.Windows.Forms;
namespace AbstractsANDInterfaces
{

    class Test
    {
        //This is the sub that tests both 

        //implementations using Interface and Abstract
		
		static void Main () {
				InterfaceExample();
				cmdAbstractExample();
		}

        static public void InterfaceExample()
        {
            try
            {

                IEmployee emp;

                full_emp_interface emp1 = new full_emp_interface();

                emp = emp1;
                emp.ID = "2234";
                emp.FirstName = "Rahman";
                emp.LastName = "Mahmoodi";
                //call add method od the object

                System.Console.WriteLine("Data is " + emp.Add().ToString());
                //MessageBox.Show(emp.Add().ToString());

                //call the CalculateWage method
				System.Console.WriteLine("Data is " + emp.CalculateWage().ToString());
               // MessageBox.Show(emp.CalculateWage().ToString());


            }
            catch (Exception ex)
            {
                System.Console.WriteLine("Error Message is " + ex.Message);
                //MessageBox.Show(ex.Message);
            }

        }

        static public void cmdAbstractExample()
        {

            Employee emp;

            emp = new full_emp_abstract();


            emp.ID = "2244";
            emp.FirstName = "Maria";
            emp.LastName = "Robinlius";
            System.Console.WriteLine("Data is " + emp.Add().ToString());
           // MessageBox.Show(emp.Add().ToString());

            //call the CalculateWage method

            System.Console.WriteLine("Data is " + emp.CalculateWage().ToString());
            //MessageBox.Show(emp.CalculateWage().ToString());

        }
    }

}